Update budget alert
curl --request PATCH \
--url https://api.nops.io/v1/budgets/{id}/alerts/{alertId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"thresholdValue": 95
}
'import requests
url = "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
payload = { "thresholdValue": 95 }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({thresholdValue: 95})
};
fetch('https://api.nops.io/v1/budgets/{id}/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
payload := strings.NewReader("{\n \"thresholdValue\": 95\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"alert": {
"id": "alert-1",
"budgetId": "budget-1",
"thresholdType": "PERCENTAGE_OVER",
"thresholdValue": 95,
"triggerThresholdValue": null,
"alertFrequency": "MONTHLY",
"aggregation": "SINGLE",
"emailRecipients": [
"finops@example.com"
],
"chatChannels": [],
"slackWebhooks": [],
"slackMentions": null,
"planningIds": [],
"isActive": true,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Budgets
Update budget alert
PATCH
https://api.nops.io
/
v1
/
budgets
/
{id}
/
alerts
/
{alertId}
Update budget alert
curl --request PATCH \
--url https://api.nops.io/v1/budgets/{id}/alerts/{alertId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"thresholdValue": 95
}
'import requests
url = "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
payload = { "thresholdValue": 95 }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({thresholdValue: 95})
};
fetch('https://api.nops.io/v1/budgets/{id}/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/alerts/{alertId}"
payload := strings.NewReader("{\n \"thresholdValue\": 95\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"alert": {
"id": "alert-1",
"budgetId": "budget-1",
"thresholdType": "PERCENTAGE_OVER",
"thresholdValue": 95,
"triggerThresholdValue": null,
"alertFrequency": "MONTHLY",
"aggregation": "SINGLE",
"emailRecipients": [
"finops@example.com"
],
"chatChannels": [],
"slackWebhooks": [],
"slackMentions": null,
"planningIds": [],
"isActive": true,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Body
application/json
JSON request body
Response
Update budget alert
JSON object
Was this page helpful?
⌘I